;start_stack	EQU 0E500h
;RST38 		EQU 0FD9Ah
;
;PGC1 		EQU	(0*800h)
;PGC2 		EQU	(1*800h)
;PGC3		EQU	(2*800h)
;
;SPR			EQU 1800h
;
;PGT1 		EQU (2000h+0*800h)
;PGT2 		EQU (2000h+1*800h)
;PGT3 		EQU (2000h+2*800h)
;
;VLINE		EQU	3800h
;VRAM_SpriteAttribute	EQU	3B00h

sprY 		EQU	0
sprX		EQU	1
sprsprID 	EQU	2
sprAttr 	EQU	3


; enum MSX_Ports
;VDP_VRAM	EQU	98h
;VDP_STATUS	EQU	99h
;VDP_REG_71	EQU	99h
;VDP_ADDR_70	EQU	9Ah
;PSG_RegisterWrite	EQU	0A0h
;PSG_ValueWrite	EQU	0A1h
;PSG_ValueRead	EQU	0A2h
;PPI_KBD_row	EQU	0A9h
;PPI_KBD_aa	EQU	0AAh

; ---------------------------------------------------------------------------

; enum VPD_R1 (bitfield)
;_8K	EQU	0
;_16K	EQU	1
;_BLANK	EQU	0
;_BLANK_OFF	EQU	2
;INT_diable	EQU	0
;INT_enable	EQU	4
;mGR	EQU	0
;mMultiColor	EQU	8
;mTXT	EQU	10h
;spr88	EQU	0
;spr1616	EQU	40h
;sprMag1	EQU	0
;sprMag2	EQU	80h

; ---------------------------------------------------------------------------

; enum musicID
mClickScorePoint	EQU	1
mPlayerStep	EQU	2
mJump	EQU	3
m04_Bomba?	EQU	4
m05_tone	EQU	5
mSilenceFade???	EQU	6
mFishJump	EQU	7
mBallBounce	EQU	8
m09_Batut	EQU	9
m0A_Bonus	EQU	0Ah
m0b_tu	EQU	0Bh
m0C_IncLife	EQU	0Ch
mTimeOut	EQU	0Dh
mMainMusic	EQU	8Eh
mKill	EQU	90h
mGameOver	EQU	93h
m96_Dead?	EQU	96h
m99_killWater	EQU	99h
mLevelStartStageEnd	EQU	9Ch
mGameStart	EQU	9Dh

; ---------------------------------------------------------------------------

; enum SceneItems (bitfield)
SI_FishPools	EQU	1
SI_Rope	EQU	2
SI_JumpTables	EQU	4
SI_Fountains	EQU	8
SI_Tumbs5	EQU	10h
SI_Vegetable	EQU	20h
SI_Fire	EQU	40h
SI_Pool	EQU	80h

; ---------------------------------------------------------------------------

; enum SceneEnimies (bitfield)
SE_BallBouncing	EQU	2
SE_BallRolling	EQU	4
SE_Kashtan	EQU	8
SE_Fish	EQU	10h
SE_Bridge	EQU	20h
SE_Bomba	EQU	40h
SE_Bee	EQU	80h

; ---------------------------------------------------------------------------

; enum Sprites
SPR_RHair	EQU	0
SPR_RFace1	EQU	4
SPR_RFace2	EQU	8
SPR_RBody1	EQU	0Ch
SPR_RFoot1	EQU	10h
SPR_RBody2	EQU	14h
SPR_RFoot2	EQU	18h
SPR_RBody3	EQU	1Ch
SPR_RFoot3	EQU	20h
SPR_RBody4	EQU	24h
SPR_RFoot4	EQU	28h
SPR_RBody5	EQU	2Ch
SPR_RFoot5	EQU	30h
SPR_RBody6	EQU	34h
SPR_RFoot6	EQU	38h
SPR_RDHair1	EQU	3Ch
SPR_RDHair2	EQU	40h
SPR_RDFace1	EQU	44h
SPR_RDBody1	EQU	48h
SPR_RDFoot1	EQU	4Ch
SPR_RDBody2	EQU	50h
SPR_RDFoot2	EQU	54h
SPR_PoolLeft	EQU	58h
SPR_LHair	EQU	5Ch
SPR_LFace1	EQU	60h
SPR_LFace2	EQU	64h
SPR_LBody1	EQU	68h
SPR_LFoot1	EQU	6Ch
SPR_LBody2	EQU	70h
SPR_LFoot2	EQU	74h
SPR_LBody3	EQU	78h
SPR_LFoot3	EQU	7Ch
SPR_LBody4	EQU	80h
SPR_LFoot4	EQU	84h
SPR_LBody5	EQU	88h
SPR_LFoot5	EQU	8Ch
SPR_LBody6	EQU	90h
SPR_LFoot6	EQU	94h
SPR_LDHair1	EQU	98h
SPR_LDHair2	EQU	9Ch
SPR_LDFace1	EQU	0A0h
SPR_LDBody1	EQU	0A4h
SPR_LDFoot1	EQU	0A8h
SPR_LDBody2	EQU	0ACh
SPR_LDFoot2	EQU	0B0h
SPR_PoolRight	EQU	0B4h
SPR_Fish_Up	EQU	0B8h
SPR_Fish_Left	EQU	0BCh
SPR_Fish_Down	EQU	0C0h
SPR_Ball	EQU	0C4h
SPR_bomba	EQU	0C8h
SPR_Kashtan	EQU	0CCh
SPR_STAR	EQU	0D0h
SPR_Shadow	EQU	0D4h
SPR_BeeBody	EQU	0D8h
SPR_BeeStripes	EQU	0DCh
SPR_Score50	EQU	0E0h
SPR_Score100	EQU	0E4h
SPR_Score200	EQU	0E8h
SPR_Face1	EQU	0ECh
SPR_FaceSad1	EQU	0F0h
SPR_Face2	EQU	0F4h
SPR_FaceSad2	EQU	0F8h
SPR_Apple	EQU	0FCh


;WalkMode constant
wm_walk				EQU 0						; 0 walk
wm_jump 			EQU 1 						; 1 jump
wm_on_rope			EQU 2	; 2 on rope
wm_jumping_tumb			EQU 3	; 3 on tumbe (jumping)
wm_fountain 			EQU 4	; 4 on fountain
wm_plot				EQU 5	; 5 on plot
wm_5tumb			EQU 6	; 6 on 5tumb
wm_endofstage_jumping	        EQU 7	; 7 jumping end of stage
wm_endofstage_stayafterjump     EQU 8	; 8 end of stage after 7
wm_dead_in_pool 		EQU 0fh ; F - dead in pool
wm_dead_on_ground 		EQU 10h ; 10 - dead lie on ground 