; =============== S U B	R O U T	I N E =======================================


doFISH:					; CODE XREF: game_move_items+2F p
		ld	a, (_Level_Enimy_) ; 0 1 - Ball	Bouncing HIGH
					; 1 2 -	Ball Bouncing
					; 2 4 -	Ball Bouncing small
					; 3 8 -	Kashtan
					; 4 1 -	Fish
					; 5 2 -	Bridge
					; 6 4 -	Bomba
					; 7 8 -	Bee
		and	10h
		ret	z
		ld	a, (_Flag_Scene_) ; 0 1	- FishPool
					; 1 2 -	Rope
					; 2 4 -	JumpTubles
					; 3 8 -	4 Fountain
					; 4 1 -	5 Tumb
					; 5 2 -	Vegetables
					; 6 4 -	Fire
					; 7 8 -	Pool Flag
		and	81h ; ''
		ret	z

loc_61FF:
		ld	a, (FishPhase)
		cp	1Fh
		jp	c, TryFish2
		ld	a, (unk_E16F)
		ld	b, a
;esl
;		ld	de, (unk_E169)
		ld	hl, (unk_E169)
		ex 	hl,de
;esl

		ld	hl, _Sprite_11_Fish1
		ld	c, 0
		call	L61B7
		ld	(unk_E169), hl
		ld	(unk_E16F), a
;esl
;		bit	0, b
		ld	c,a
		ld	a,b
		and 1<<0
		ld	a,c
;esl
		jp	z, L6229
		ld	hl, FishPhase
		ld	de, _Sprite_11_Fish1
		call	FishJumpRandom

L6229:					; CODE XREF: doFISH+2B j
		or	a
		ld	b, SPR_Fish_Up	; Fish1
		jp	z, L6230
		ld	b, SPR_Fish_Left ; Fish3

L6230:					; CODE XREF: doFISH+39 j
		ld	a, (_Sprite_11_Fish1+sprY)
		cp	52
		jp	nc, L6239
		ld	b, SPR_Fish_Down ; Fish3

L6239:					; CODE XREF: doFISH+42 j
		ld	hl, _Sprite_11_Fish1+sprsprID
		ld	(hl), b

TryFish2:				; CODE XREF: doFISH+11 j
		ld	a, (FishPhase+1)
		cp	1Fh
		jp	c, TryFish3
		ld	a, (unk_E170)
		ld	b, a

;esl
;		ld	de, (unk_E16B)
;		ld	hl, _Sprite_12_Fish2

		ld	hl, (unk_E16B)
		ex 	hl,de
		ld	hl, _Sprite_12_Fish2
;esl

		ld	c, 0
		call	L61B7
		ld	(unk_E16B), hl
		ld	(unk_E170), a
;esl
;		bit	0, b
		ld	c,a
		ld	a,b
		and 1<<0
		ld	a,c
;esl
		jp	z, L6267
		ld	hl,  FishPhase+1
		ld	de, _Sprite_12_Fish2
		call	FishJumpRandom

L6267:					; CODE XREF: doFISH+69 j
		or	a
		ld	b, SPR_Fish_Up
		jp	z, L626E
		ld	b, SPR_Fish_Left

L626E:					; CODE XREF: doFISH+77 j
		ld	a, (_Sprite_12_Fish2+sprY)
		cp	34h ; '4'
		jp	nc, L6277
		ld	b, SPR_Fish_Down

L6277:					; CODE XREF: doFISH+80 j
		ld	hl, _Sprite_12_Fish2+sprsprID
		ld	(hl), b

TryFish3:				; CODE XREF: doFISH+4F j
		ld	a, (FishPhase+2)
		cp	1Fh
		ret	c
		ld	a, (unk_E171)
		ld	b, a
;esl
;		ld	de, (unk_E16D)
;		ld	hl, _Sprite_13_Fish3

		ld	hl, (unk_E16D)
		ex 	hl,de
		ld	hl, _Sprite_13_Fish3


		ld	c, 0
		call	L61B7
		ld	(unk_E16D), hl
		ld	(unk_E171), a
;esl
;		bit	0, b
		ld	c,a
		ld	a,b
		and 1<<0
		ld	a,c
;esl
		jp	z, L62A4
		ld	hl,  FishPhase+2
		ld	de, _Sprite_13_Fish3
		call	FishJumpRandom

L62A4:					; CODE XREF: doFISH+A6 j
		or	a
		ld	b, SPR_Fish_Up
		jp	z, L62AB
		ld	b, SPR_Fish_Left

L62AB:					; CODE XREF: doFISH+B4 j
		ld	a, (_Sprite_13_Fish3+sprY)
		cp	34h ; '4'
		jp	nc, L62B4
		ld	b, SPR_Fish_Down

L62B4:					; CODE XREF: doFISH+BD j
		ld	hl, _Sprite_13_Fish3+sprsprID
		ld	(hl), b
		ret
; End of function doFISH


; =============== S U B	R O U T	I N E =======================================


FishJumpRandom:				; CODE XREF: doFISH+33 p doFISH+71 p ...
		ld	(hl), 0
		ex	de, hl
		ld	(hl), 140	; Y
		inc	hl
		ld	de, FishXPos
;esl
;		ld	a, r
		call 	rand_8
;esl
		and	7
		call	add_a_de
		ld	a, (de)
		ld	(hl), a		; X
		inc	hl
		inc	hl
		ld	(hl), 9		; Color?
		ld	a, mFishJump
		jp	SelectMUSIC_A
; End of function FishJumpRandom

; ---------------------------------------------------------------------------

;FishXPos:	db  56,	88, 88,120,120,152,152,184 ; DATA XREF:	FishJumpRandom+6 o
FishXPos:	
	db 88 
	db 152
	db 56	
	db 88
	db 120
	db 152
	db 184
	db 120

