
ML_1_PrepareKonami:			; DATA XREF: RAM:414B o
		ld	a, (RequireClear)
		or	a
		jp	z, L4182
		call	ClearFromCenter
		ret	p
		xor	a
		ld	(RequireClear),	a

L4182:					; CODE XREF: ML_1_PrepareKonami+4 j
		call	PrepareKonami
		jp	MainLoopNEXT
; End of function ML_1_PrepareKonami


; =============== S U B	R O U T	I N E =======================================


ML_2_KonamiScrollUP:			; DATA XREF: RAM:414D o
		ld	a, (inGameTick)
		rra
		ret	nc
;ESL_KORVET
        ld      a,M_SCR2_KONAMI
        ld      (scr2_pnt_mode),a  
;ESL_KORVET

		call	ScrollUpTitleKONAMI
		ret	nz
;ESL_KORVET
        ld      a,M_SCR2_ALL
        ld      (scr2_pnt_mode),a  
;ESL_KORVET

		ld	hl, xVideoCartridge
		call	xStringToVram_HL
		jp	MainLoopNext_Deay50
; End of function ML_2_KonamiScrollUP

; =============== S U B	R O U T	I N E =======================================
ScrollUpTitleKONAMI:			; CODE XREF: ML_2_KonamiScrollUP+5 p
		ld	hl, (_Player1Data_LIFE) ;tmp y pos
		ld	de, 20h	; ' '
		add	hl, de
		ld	(_Player1Data_LIFE), hl
		ex	de, hl
		or	a
		ld	hl,  VLINE+(21*32)+10
;esl
;		sbc	hl, de
		call sbchlde
;esl
		ex	de, hl
		ld	a, 60h ; '`'    ; First Char of Konami
		ld	b, 3		; Line 1 - 3 char (K)
		call	FillVRAM_NextLine
		ld	b, 11		; Line 2 - 11 char
		call	FillVRAM_NextLine
		ld	b, 12		; Line3	- 12 char (Konami + (R))
		call	FillVRAM_NextLine
		ld	bc, 12
		xor	a		; Clean	last line
		call	Fill_VRAM_DE_A_BC
		ld	hl, _TickDelay
		dec	(hl)
		ret

xVideoCartridge:
		dw VLINE+(11*32)+6		; DATA XREF: ML_2_KonamiScrollUP+9 o
		db '@',  0,'V','I','D','E','O',  0,'C','A','R','T','R','I','D','G','E',  0,'@'
		db 0FFh

