;blink with selected menu item

ML_8_MenuBlink:					; DATA XREF: RAM:4159 o
		ld	a, (_PlayerCounter_) 	; 0 1
									; 1 2
									; 2 4
									; 3 8
									; 4 1
									; 5 2 -	One/Two	player
									; 6 4
									; 7 8
		call	jp_CASE_A
; ---------------------------------------------------------------------------
		dw L41FC
		dw ClearSelectedMenuLine
; ---------------------------------------------------------------------------

L41FC:					; DATA XREF: ML_8_MenuBlink+6 o
		ld	a, 80
		ld	(_ml_delay), a

L4201:					; CODE XREF: ML_8_MenuBlink+12 j
		call	ClearFromCenter
		jp		p, L4201
		
		call	PrepareAthleticLand
;
		call	AthleticAnimation_AndMenu
;
		ld		a, mLevelStartStageEnd
		call	SelectMUSIC_A
;
		ld		a, 50h ; 'P'
		ld		(_ml_delay), a
;
		ld		hl, _PlayerCounter_ ; 0	1
									; 1 2
									; 2 4
									; 3 8
									; 4 1
									; 5 2 -	One/Two	player
									; 6 4
									; 7 8
		inc	(hl)
		ret
; ---------------------------------------------------------------------------

ClearSelectedMenuLine:			; DATA XREF: ML_8_MenuBlink+8 o
		ld	hl, _ml_delay
		dec	(hl)
		jp	z, L4256
;esl
;		bit	3, (hl)
		ld 	a,(hl)
		and 	1<<3
;esl
		jp	nz, AthleticAnimation_AndMenu ;	Restore	menu

		ld	a, (g_Flags)	; 0 1
							; 1 2
							; 2 4
							; 3 8
							; 4 1 -	0 - joy, 1 - KeyboardUserInput
							; 5 2 -	0 one player,1 - 2 player
							; 6 4 -	Game Flag (no demo)?
							; 7 8 -	Activ Player?
		rra
		rra
		rra
		rra
		and	3 				;select bit 4,5 (for menu line)


		ld	hl, MenuYOffset
		call	add_a_hl
		ld	a, (hl)
		ld	de, VLINE+(16*32)
		call	add_a_de
		ld	bc, 32
		xor	a
		jp	Fill_VRAM_DE_A_BC
; ---------------------------------------------------------------------------
MenuYOffset:	db    0, 80h, 40h,0C0h	; DATA XREF: ML_8_MenuBlink+3D o
; ---------------------------------------------------------------------------


L4256:					; CODE XREF: ML_8_MenuBlink+2E j
		call	InitPlayerData
		ld	a, 0FFh
		ld	(byte_E00F), a
		inc	a
		ld	(_PlayerCounter_), a 	; 0 1
									; 1 2
									; 2 4
									; 3 8
									; 4 1
									; 5 2 -	One/Two	player
									; 6 4
									; 7 8
		jp	MainLoopNext_Deay50
; End of function ML_8_MenuBlink

