; =============== S U B	R O U T	I N E =======================================


InitSceneAndEnimy:			; CODE XREF: InitActiveSprites+E p
;ESL_KORVET
		call 	cls_aczu
	

	        ld      hl,ACZU_BASE+( 0*64+16)
	        ld      c,14
	        ld 	b,1
	        ld      a,0bfh ;0b0h
	        call    FILL_ACZU_BLOCK

;ESL_KORVET

		ld	a, (Scene)
		and	1Fh
		ld	hl, LevelDataTables
		call	add_a_hl
		ld	b, (hl)		; Stage	Items
		ld	a, 32
		call	add_a_hl
		ld	c, (hl)		; StageEnimies
;
		ld	a, (scrScene)
		and	3
		jp	nz, L5BAD
		ld	b, a
;
		ld	a, c
		and	80h ; '€'
		ld	c, a

L5BAD:					; CODE XREF: InitSceneAndEnimy+17 j
		ld	a, (gStage)
		cp	1
		jp	nz, noStage1
;
		ld	a, c
		and	77h ; 'w'
		jp	L5BC4
; ---------------------------------------------------------------------------

noStage1:				; CODE XREF: InitSceneAndEnimy+23 j
		cp	4
		jp	nc, gt4
		cp	2
		jp	z, _SaveEnimyElements
		ld	a, c
		and	7Fh ; ''

L5BC4:					; CODE XREF: InitSceneAndEnimy+28 j
		ld	c, a
		jp	_SaveEnimyElements
; ---------------------------------------------------------------------------

gt4:					; CODE XREF: InitSceneAndEnimy+2C j
;esl
;		bit	0, a
		and 	1<<0
;esl
		jp	nz, _SaveEnimyElements
		ld	a, c
		or	b
		jp	nz, _SaveEnimyElements
;
		ld	c, 80h ; '€'

_SaveEnimyElements:			; CODE XREF: InitSceneAndEnimy+30 j
					; InitSceneAndEnimy+36 j ...
		ld	hl, _Flag_Scene_ ; 0 1 - FishPool
					; 1 2 -	Rope
					; 2 4 -	JumpTubles
					; 3 8 -	4 Fountain
					; 4 1 -	5 Tumb
					; 5 2 -	Vegetables
					; 6 4 -	Fire
					; 7 8 -	Pool Flag
		ld	(hl), b		; Scene
		inc	hl
		inc	hl
		ld	(hl), c		; Enimy
;
		ld	a, (gStage)
		cp	2
		ld	a, 3
		jp	nz, L5BE2
		xor	a

L5BE2:					; CODE XREF: InitSceneAndEnimy+50 j
		ld	(unk_E179), a	; =0 but =3 on stage 2
;
		ld	a, c		; Enimy
		and	7
		jp	z, noBouncingBall
;
		ld	hl, BouncingBall1??
		ld	(hl), 5
		inc	hl
		ld	(hl), 5

noBouncingBall:				; CODE XREF: InitSceneAndEnimy+59 j
		ld	a, (Scene)
;esl
;		bit	1, a
		and 	1<<1
;esl
		jp	z, Trees
		ld	a, (_Flag_Scene_) ; 0 1	- FishPool
					; 1 2 -	Rope
					; 2 4 -	JumpTubles
					; 3 8 -	4 Fountain
					; 4 1 -	5 Tumb
					; 5 2 -	Vegetables
					; 6 4 -	Fire
					; 7 8 -	Pool Flag
		and	6		; if Rope or JumpTable
		jp	nz, Trees
		ld	a, (_Level_Enimy_) ; 0 1 - Ball	Bouncing HIGH
					; 1 2 -	Ball Bouncing
					; 2 4 -	Ball Bouncing small
					; 3 8 -	Kashtan
					; 4 1 -	Fish
					; 5 2 -	Bridge
					; 6 4 -	Bomba
					; 7 8 -	Bee
		and	8		; If Kashtan
		jp	nz, Trees
;
		call	ShowHillAndFence
		jp	noTREES
; ---------------------------------------------------------------------------

Trees:					; CODE XREF: InitSceneAndEnimy+68 j
					; InitSceneAndEnimy+6F j ...
		call	ShowTrees

noTREES:				; CODE XREF: InitSceneAndEnimy+7B j
		call	ShowGroundAndGras
		call	ShowChildParkTower
		call	ShowPool
		call	ShowFishPools
		call	Show_5TUMBS
		call	ShowJumper
		call	ShowFIRE
		call	ShowVegetable
;esl
		call 	ShowFountains
;
		ld	b, 4
		ld	hl, BonusTable

L5C2C:					; CODE XREF: InitSceneAndEnimy+A0 j
		ld	(hl), 20h ; ' '
		inc	hl
		
		;djnz
		dec b
		jp nz,L5C2C

		ret
; End of function InitSceneAndEnimy

		include "_scene_hills_fences.asm"
		include "_scene_trees.asm"
		include "_scene_ground.asm"
		include "_scene_child_park_tower.asm"
		include "_scene_pool.asm"
		include "_scene_fish_pools.asm"
		include "_scene_5tumbss.asm"
		include "_scene_jumper.asm"
		include "_scene_fireplace.asm"
		include "_scene_vegetable.asm"

		include "_scene_fountains.asm"


; ---------------------------------------------------------------------------
;this data used to generate scene elements

LevelDataTables:
		db SI_FishPools|SI_Rope	; 0 ; DATA XREF: InitSceneAndEnimy+5 o
		db SI_Rope|SI_Pool	; 1
		db SI_Vegetable		; 2
		db SI_JumpTables	; 3
		db SI_Fountains|SI_Pool	; 4
		db    0			; 5
		db SI_FishPools		; 6
		db SI_Vegetable		; 7
		db SI_FishPools|SI_Fire	; 8
		db SI_Tumbs5		; 9
		db SI_Fire|SI_Pool	; 10
		db    0			; 11
		db SI_Fountains|SI_Pool	; 12
		db SI_Fire		; 13
		db SI_Fountains|SI_Pool	; 14
		db SI_Vegetable		; 15
		db SI_FishPools		; 16
		db SI_JumpTables	; 17
		db SI_Tumbs5|SI_Fire	; 18
		db SI_Pool		; 19
		db SI_Tumbs5|SI_Fire	; 20
		db SI_Fire		; 21
		db SI_Tumbs5		; 22
		db SI_Vegetable		; 23
		db SI_Tumbs5		; 24
		db SI_Rope|SI_Pool	; 25
		db    0			; 26
		db SI_FishPools|SI_JumpTables; 27
		db SI_FishPools|SI_Fire	; 28
		db SI_Fountains|SI_Pool	; 29
		db SI_FishPools		; 30
		db SI_Tumbs5|SI_Fire	; 31
;
;this data used to generate scene Enimy
		db SE_Bee		; 0
		db SE_Bridge|SE_Bee	; 1
		db SE_Kashtan		; 2
		db SE_Kashtan		; 3
		db SE_Kashtan		; 4
		db SE_BallRolling|SE_Kashtan; 5
		db SE_Bee		; 6
		db SE_BallRolling|SE_Kashtan; 7
		db SE_Fish		; 8
		db SE_Kashtan		; 9
		db SE_Bridge|SE_Bomba	; 10
		db SE_Kashtan		; 11
		db    0			; 12
		db SE_Bee		; 13
		db SE_Kashtan|SE_Fish	; 14
		db SE_BallBouncing	; 15
		db SE_Fish		; 16
		db SE_Kashtan		; 17
		db SE_Kashtan|SE_Bomba	; 18
		db SE_Bridge|SE_Bee	; 19
		db SE_Bomba		; 20
		db SE_Bomba|SE_Bee	; 21
		db SE_Kashtan		; 22
		db SE_Kashtan|1		; 23
		db SE_Kashtan		; 24
		db    0			; 25
		db    1			; 26
		db SE_Fish		; 27
		db SE_Kashtan|SE_Fish|SE_Bomba;	28
		db SE_Fish		; 29
		db SE_Kashtan|SE_Fish	; 30
		db SE_Bomba		; 31
