ShowHillAndFence:			; CODE XREF: InitSceneAndEnimy+78 p

;ESL_KORVET
		ld 	b,6
		ld 	c,31
		ld 	a,0xbf
	        ld      hl,ACZU_BASE+( 1*64+0)
	        call	FILL_ACZU_BLOCK
;ESL_KORVET



		ld	a, (Scene)
		and	0Ch
		rrca
		rrca
		ld	(_SavedHills), a
		call	jp_CASE_A

		dw Mid1
		dw Mid2
		dw Mid3
		dw Mid4
; ---------------------------------------------------------------------------

Mid1:					; CODE XREF: ShowHillAndFence+2E j
					; DATA XREF: ShowHillAndFence+D o
		call	Hill1

L5C8A:					; CODE XREF: ShowHillAndFence+38 j
		ld	a, (_Flag_Scene_) ; 0 1	- FishPool
					; 1 2 -	Rope
					; 2 4 -	JumpTubles
					; 3 8 -	4 Fountain
					; 4 1 -	5 Tumb
					; 5 2 -	Vegetables
					; 6 4 -	Fire
					; 7 8 -	Pool Flag
		and	18h
		jp	nz, MidClean

MidFence:				; CODE XREF: ShowHillAndFence+33 j
					; ShowHillAndFence+44 j
		call	Unpacker_5F65
		dw _c_5c91_Mid1
		dw _d_5c91_Mid1
		dw VLINE+(10*32)
		ret
; ---------------------------------------------------------------------------

Mid2:					; DATA XREF: ShowHillAndFence+F o
		ld	a, (_Flag_Scene_) ; 0 1	- FishPool
					; 1 2 -	Rope
					; 2 4 -	JumpTubles
					; 3 8 -	4 Fountain
					; 4 1 -	5 Tumb
					; 5 2 -	Vegetables
					; 6 4 -	Fire
					; 7 8 -	Pool Flag
		and	18h
		jp	nz, Mid1
		call	Hill2
		jp	MidFence

Mid4:					; CODE XREF: ShowHillAndFence+3F j
					; DATA XREF: ShowHillAndFence+13 o
		call	Hill3
		jp	L5C8A

Mid3:					; DATA XREF: ShowHillAndFence+11 o
		ld	a, (_Flag_Scene_) ; 0 1	- FishPool
					; 1 2 -	Rope
					; 2 4 -	JumpTubles
					; 3 8 -	4 Fountain
					; 4 1 -	5 Tumb
					; 5 2 -	Vegetables
					; 6 4 -	Fire
					; 7 8 -	Pool Flag
		and	18h
		jp	nz, Mid4
		call	Hill4
		jp	MidFence

MidClean:				; CODE XREF: ShowHillAndFence+1D j
		call	Unpacker_5F65
		dw _c_5cb8_Mid2
		dw _d_5cb8_Mid2
		dw VLINE+(10*32)
		ret

Hill1:					; CODE XREF: ShowHillAndFence:Mid1 p
		call	Unpacker_5F65
		dw _c_5ce0_Hills
		dw _d_5cc2_Hill1
		dw VLINE+(3*32)
		ret

Hill2:					; CODE XREF: ShowHillAndFence+30 p
		call	Unpacker_5F65
		dw _c_5ce0_Hills
		dw _d_5ccc_Hill2
		dw VLINE+(3*32)
		ret

Hill3:					; CODE XREF: ShowHillAndFence:Mid4 p
		call	Unpacker_5F65
		dw _c_5ce0_Hills
		dw _d_5cd6_Hill3
		dw VLINE+(3*32)
		ret

Hill4:					; CODE XREF: ShowHillAndFence+41 p
		call	Unpacker_5F65
		dw _c_5ce0_Hills
		dw _d_5ce0_Hill4
		dw VLINE+(3*32)
; ---------------------------------------------------------------------------
		ret

; ---------------------------------------------------------------------------


_c_5cb8_Mid2:	db 0D0h,0D0h,0A0h,   0
_d_5cb8_Mid2:	db    1,   1, 0Bh	; DATA XREF: ShowHillAndFence+4B o

_c_5c91_Mid1:	db  60h,0A0h,0A0h, 0A0h,   0		
_d_5c91_Mid1:	db  9Ch, 9Ch, 9Ch, 9Ch,	9Ch, 9Ch, 9Ch, 9Ch, 9Fh, 9Ch,0A0h
				db 0A1h,0A2h,0A3h,0A4h,0A5h,0DEh,0DDh,0DCh,0DBh,0DAh,0D9h
				db  9Ch,0D8h, 9Ch, 9Ch,	9Ch, 9Ch, 9Ch, 9Ch, 9Ch, 9Ch, 9Dh
				db  9Dh, 9Dh, 9Dh, 9Dh,	9Dh,0A6h, 9Dh,0A7h, 9Dh,0A6h,0A8h
				db  9Dh,0A9h,0AAh, 9Dh,	9Dh,0E3h,0E2h, 9Dh,0E1h,0DFh, 9Dh
				db 0E0h, 9Dh,0DFh, 9Dh,	9Dh, 9Dh, 9Dh, 9Dh, 9Dh, 9Eh, 9Eh
				db  9Eh,0ABh, 9Eh, 9Eh,	9Eh, 9Eh,0ABh, 9Eh, 9Eh, 9Eh, 9Eh
				db 0ABh, 9Eh, 9Eh, 9Eh,	9Eh,0E4h, 9Eh, 9Eh, 9Eh, 9Eh,0E4h
				db  9Eh, 9Eh, 9Eh, 9Eh,0E4h, 9Eh, 9Eh, 9Eh, 9Eh,   8, 0Ch


_c_5ce0_Hills:	db 0A0h,0A0h,0A0h,0A0h,	20h,0C0h,   0 ;	DATA XREF: Hill1+3 o

_d_5cc2_Hill1:	db  1Ch, 1Dh, 1Eh, 1Fh,	68h, 69h, 6Ah, 65h, 66h, 69h, 6Ah
				db  60h, 64h, 60h, 61h,	62h, 63h, 64h, 65h, 66h, 67h,	1
				db  68h, 69h, 6Ah, 60h,	64h, 60h, 61h, 63h, 64h, 65h, 66h
				db  67h, 68h, 69h,   1
_d_5ccc_Hill2:	db  1Ch, 1Dh, 1Eh, 1Fh,	7Eh, 7Fh, 80h, 7Bh, 7Ch, 7Fh, 80h
				db  76h, 7Ah, 76h, 77h,	78h, 79h, 7Ah, 7Bh, 7Ch, 7Dh, 0Ah
				db  7Eh, 7Fh, 80h, 76h,	7Ah, 76h, 77h, 79h, 7Ah, 7Bh, 7Ch
				db  7Dh, 7Eh, 7Fh, 0Ah
_d_5cd6_Hill3:	db  8Ch, 8Dh, 8Eh, 8Fh,	73h, 74h, 75h, 70h, 71h, 74h, 75h
				db  6Bh, 6Fh, 6Bh, 6Ch,	6Dh, 6Eh, 6Fh, 70h, 71h, 72h,	1
				db  73h, 74h, 75h, 6Bh,	6Fh, 6Bh, 6Ch, 6Eh, 6Fh, 70h, 71h
				db  72h, 73h, 74h,   1

_d_5ce0_Hill4:	db  8Ch, 8Dh, 8Eh, 8Fh,	89h, 8Ah, 8Bh, 86h, 87h, 8Ah, 8Bh
				db  81h, 85h, 81h, 82h,	83h, 84h, 85h, 86h, 87h, 88h, 0Ah
				db  89h, 8Ah, 8Bh, 81h,	85h, 81h, 82h, 84h, 85h, 86h, 87h
				db  88h, 89h, 8Ah, 0Ah
