ShowTrees:				; CODE XREF: InitSceneAndEnimy:Trees p

		call	Unpacker_5F65
		dw _c_5e71
		dw _d_5e71
		dw VLINE+(15*32)

		;expand bit2 and bit0 as 2bit

		ld	a, (Scene)
		rra
		rra
		rlca
		and	3

		call	jp_CASE_A
		dw ShowTree11
		dw ShowTree12
		dw ShowTree22
		dw ShowTree21

; ---------------------------------------------------------------------------

ShowTree11:				; DATA XREF: RAM:5E85 o
		call	ShowLeftTree
		jp	ShowRightTree
; ---------------------------------------------------------------------------

ShowTree12:				; DATA XREF: RAM:5E87 o
		call	ShowLeftTree
		jp	ShowRightTree2
; ---------------------------------------------------------------------------

ShowTree22:				; DATA XREF: RAM:5E89 o
		call	ShowLeftTree2
		jp	ShowRightTree2
; ---------------------------------------------------------------------------

ShowTree21:				; DATA XREF: RAM:5E8B o
		call	ShowLeftTree2
		jp	ShowRightTree

; =============== S U B	R O U T	I N E =======================================


ShowLeftTree:				; CODE XREF: RAM:ShowTree11 p
					; RAM:ShowTree12 p

		call	Unpacker_5F65
		dw _c_5ea1_Tree1L
		dw _d_5ea1_Tree1L
		dw VLINE+(2*32)

		ld	hl, Tree1Body1
		ld	de, VLINE+(5*32)
		call	copy306
		ld	hl, Tree1Body2
		ld	de,  VLINE+(8*32)+1
; START	OF FUNCTION CHUNK FOR ShowTrees

copy804:				; CODE XREF: ShowTrees+70 j
		ld	bc, 804h
		jp	_CopyToVRAM_ROW
; END OF FUNCTION CHUNK	FOR ShowTrees

; =============== S U B	R O U T	I N E =======================================


copy306:				; CODE XREF: RAM:5EB0 p	ShowTrees+67 p
		ld	bc, 306h
		jp	_CopyToVRAM_ROW
; ---------------------------------------------------------------------------

copy308:				; CODE XREF: RAM:5EF2 p	RAM:5F10 p
		ld	bc, 308h

_CopyToVRAM_ROW:			; CODE XREF: ShowTrees+4B j copy306+3 j
		jp	CopyToVRAM_ROW
; End of function copy306

; ---------------------------------------------------------------------------
; START	OF FUNCTION CHUNK FOR ShowTrees

ShowRightTree:				; CODE XREF: RAM:5E90 j	RAM:5E9F j
		call	Unpacker_5F65
		dw _c_5ec9_Tree1R
		dw _d_5ec9_Tree1R
		dw VLINE+(2*32)+16

		ld	hl, Tree1Body1
		ld	de,  VLINE+(5*32)+26
		call	copy306
		ld	hl, Tree1Body2
		ld	de,  VLINE+(8*32)+27
		jp	copy804
; END OF FUNCTION CHUNK	FOR ShowTrees
; ---------------------------------------------------------------------------

ShowLeftTree2:				; CODE XREF: RAM:ShowTree22 p
					; RAM:ShowTree21 p
		call	Unpacker_5F65
		dw _c_5ee3_Tree2L
		dw _d_5ee3_Tree2L
		dw VLINE+(2*32)

		ld	hl, Tree2Body1
		ld	de, VLINE+(5*32)
		call	copy308
		ld	hl, Tree2Body2
		ld	de,  VLINE+(8*32)+3

copy803:				; CODE XREF: RAM:5F19 j
		ld	bc, 803h
		jp	CopyToVRAM_ROW
; ---------------------------------------------------------------------------

ShowRightTree2:				; CODE XREF: RAM:5E95 j	RAM:5E9A j
		call	Unpacker_5F65
		dw _c_5f01_Tree2R
		dw _d_5f01_Tree2R
		dw VLINE+(2*32)+16

		ld	hl, Tree2Body1
		ld	de,  VLINE+(5*32)+24
		call	copy308
		ld	hl, Tree2Body2
		ld	de,  VLINE+(8*32)+27
		jp	copy803
; ---------------------------------------------------------------------------
; START	OF FUNCTION CHUNK FOR InitActiveSprites

;
_c_5e71:	db 0A0h,   0		; DATA XREF: ShowTrees+3 o
_d_5e71:	db  0Bh			; DATA XREF: ShowTrees+5 o
;
_c_5ea1_Tree1L:	
;		db  90h, 80h, 60h, 38h,	8Eh,   2, 80h, 80h, 38h, 8Dh,	3
;		db  80h,0A6h, 38h,   1,	84h,   2, 80h,0C6h, 38h,   6, 80h
;		db 0E8h, 38h,	2,   0
		db  90h, 80h
		dw VLINE+60h;3860h,
		db 8Eh,   2, 80h
		dw VLINE+80h;3880h, 
		db 8Dh,	3, 80h
		dw VLINE+0a6H;38A6h,
		db   1,	84h,   2, 80h
		dw VLINE+0c6h;38C6h,
		db 6, 80h
		dw VLINE+0e8h;38E8h
		db 2, 0

_c_5ec9_Tree1R:	
;		db  90h, 80h, 70h, 38h,	  2, 8Eh, 80h, 90h, 38h,   3, 8Eh
;		db  80h,0B3h, 38h,   2,	84h,   1, 80h,0D4h, 38h,   6, 80h
;		db 0F6h, 38h,	3,   0
		db	90h, 80h
		dw	VLINE+(3*32)+16
		db	2, 8Eh, 80h
		dw	VLINE+(4*32)+16
		db	3, 8Eh, 80h
		dw	VLINE+(5*32)+19
		db	2, 84h, 1, 80h
		dw	VLINE+(6*32)+20
		db	6, 80h
		dw	VLINE+(7*32)+22
		db	3, 0

_c_5ee3_Tree2L:	
;		db  90h, 80h, 60h, 38h,	8Fh,   1, 80h, 80h, 38h, 8Eh,	2
;		db  80h,0A8h, 38h, 84h,	  2, 80h,0C8h, 38h,   5, 80h,0E9h
;		db  38h,   2,	0
		db	90h, 80h
		dw	VLINE+(3*32)+0
		db	8Fh, 1, 80h
		dw	VLINE+(4*32)+0
		db	8Eh, 2, 80h
		dw	VLINE+(5*32)+8
		db	84h, 2, 80h
		dw	VLINE+(6*32)+8
		db	5, 80h
		dw	VLINE+(7*32)+9
		db	2, 0

_c_5f01_Tree2R:	
;		db  90h, 80h, 70h, 38h,	  2, 8Eh, 80h, 90h, 38h,   3, 8Dh
;		db  80h,0B3h, 38h,   2,	83h, 80h,0D4h, 38h,   4, 80h,0F6h
;		db  38h,   2,	0
		db	90h, 80h
		dw	VLINE+(3*32)+16
		db	2, 8Eh, 80h
		dw	VLINE+(4*32)+16
		db	3, 8Dh, 80h
		dw	VLINE+(5*32)+19
		db	2, 83h, 80h
		dw	VLINE+(6*32)+20
		db	4, 80h
		dw	VLINE+(7*32)+22
		db	2, 0

_d_5ea1_Tree1L:	
		db 0ABh,   2,0A8h,0A8h,	  2,0A9h, 90h, 90h, 9Ah,   2,0A8h
		db 0A9h, 9Fh, 92h,0A8h,0ACh,0A9h, 91h, 90h,   0

_d_5ec9_Tree1R:	
		db 0ABh,0A8h,0A8h,   2,	90h, 90h,0AAh,	 2,0AAh,0A8h,	2
		db  93h, 91h,0AAh,0ACh,0ACh,0A7h, 9Bh,	 0,   0, 90h

_d_5ee3_Tree2L:	
		db 0ABh,   2,0A8h,   2,0A9h, 90h,   2,0A8h,0A9h, 92h,0ACh
		db 0ACh,0A9h, 91h,   0,	  0

_d_5f01_Tree2R:	
		db 0ABh,0A8h,0A8h,   2,	90h, 90h,0AAh,	 2,0AAh,0A8h,	2
		db  91h,0AAh,0ACh,0ACh,	  0,   0


Tree1Body1:	db  94h, 95h, 96h, 97h,	98h, 99h ; DATA	XREF: RAM:5EAA o
					; ShowTrees+61 o
		db  9Ch, 9Dh, 9Eh,0A2h,0A0h,0A1h
		db 0A3h,0A4h,	4,   4,0A5h,0A6h
Tree1Body2:	db  20h,   4, 21h,   0	; DATA XREF: RAM:5EB3 o	ShowTrees+6A o
		db  22h,   4, 23h,   0
		db  24h,   4, 25h,   0
		db  26h,   4, 27h,   0
		db  28h,   4, 29h,   0
		db    0, 2Ah,	4, 2Bh
		db    0, 2Ch,	4, 2Dh
		db  0Bh, 2Eh, 2Eh, 2Eh


Tree2Body1:	
		db    2, 93h, 94h, 95h,	96h, 98h, 99h, 9Ah ; DATA XREF:	RAM:5EEC o
		db 0A7h, 9Bh, 9Ch, 9Dh,0A2h,0A0h,0A1h, 9Fh
		db  90h,   0,0A3h,0A4h,	  4,0A5h,0A6h,	 0

Tree2Body2:	
		db  20h, 21h,	0	; DATA XREF: RAM:5EF5 o	RAM:5F13 o
		db  22h, 23h,	0
		db  24h, 25h,	0
		db  26h, 27h,	0
		db  28h, 29h,	0
		db    0, 2Ah, 2Bh
		db    0, 2Ch, 2Dh
		db  0Bh, 2Eh, 2Eh

