;tmp_dst	equ	0
tmp_dst	equ	0xfc00

init_sprites_expand:
	ld 	de,_spr_tab

spr_exp_loop:
	ld 	a,(de)
	ld 	l,a
	inc 	de
	ld 	a,(de)
	inc 	de

	cp 	l
	jp 	nz,sp1
	or 	a
	ret 	z
sp1:
	ld 	h,a

	push	de
	call	expand_1_sprite
	pop	de
	jp	spr_exp_loop


expand_1_sprite:

	push	hl 	;for shift loop

	push	hl

;copy source into tmp_dst

	ld 	de,tmp_dst
	push 	de
	ld	bc,16*2
	call	_LDIR_

	pop	hl
	pop	de

;expand 2to3

	ld 	c,16
cp_Loop:
	ld 	a,(hl)
	ld 	(de),a
	inc 	hl
	inc 	de
	ld 	a,(hl)
	ld 	(de),a
	inc 	hl
	inc 	de

	xor 	a
	ld 	(de),a
	inc 	de	
	dec 	c
	jp	nz,cp_Loop

;shift sprite

	ld 	c,8-1 		;shift 7 phases
	pop	hl

sh_next_sprite:

	push 	bc 		;save sprite #

	push 	hl 		;from sprite
	ld 	bc,3*16
	add 	hl,bc 		;next sprite
	pop	de 		;from sprite

	push 	hl 		;save for next loop

	ld 	c,16 		;16 row in sprite

sh_Loop:
	or 	a

	ld 	a,(de)
	rra
	ld	(hl),a
	inc 	hl
	inc 	de

	ld 	a,(de)
	rra
	ld	(hl),a
	inc 	hl
	inc 	de

	ld 	a,(de)
	rra
	ld	(hl),a
	inc 	hl
	inc 	de

	dec 	c
	jp	nz,sh_Loop

	pop 	hl
	pop	bc

	dec 	c
	jp	nz,sh_next_sprite
	ret


_spr_tab:
	dw 	spr_04_00
	dw 	spr_08_00
	dw 	spr_0C_00
	dw 	spr_14_00
	dw 	spr_1C_00
	dw 	spr_24_00
	dw 	spr_2C_00
	dw 	spr_34_00
	dw 	spr_40_00
	dw 	spr_44_00
	dw 	spr_48_00
	dw 	spr_50_00
	dw 	spr_58_00
	dw 	spr_60_00
	dw 	spr_64_00
	dw 	spr_68_00
	dw 	spr_70_00
	dw 	spr_78_00
	dw 	spr_80_00
	dw 	spr_88_00
	dw 	spr_90_00
	dw 	spr_9C_00
	dw 	spr_A0_00
	dw 	spr_A4_00
	dw 	spr_AC_00
	dw 	spr_B4_00
	dw 	spr_C4_00
	dw 	spr_C8_00
	dw 	spr_CC_00
	dw 	spr_D0_00
	dw 	spr_D4_00
	dw 	spr_D8_00
	dw 	spr_DC_00
	dw 	spr_E0_00
	dw 	spr_E4_00
	dw 	spr_E8_00
	dw 	0
