_do_player_move:					; CODE XREF: game_move_items:L589F p


		ld	b, 4
		ld	de, _Sprite_23_Bonus1
		ld	hl, byte_E181

L66AE:					; CODE XREF: _do_player_move+14 j
		ld	a, (hl)
		or	a
		jp	nz, L66B5
		ld	a, 200		; Y
		ld	(de), a

L66B5:					; CODE XREF: _do_player_move+A j
		inc	hl
		inc	de
		inc	de
		inc	de
		inc	de
		
		;djnz
		dec b
		jp nz,L66AE

		ld	a, (WalkMode)
		call	jp_CASE_A
; ---------------------------------------------------------------------------

		dw _wm00_walk						; 0 walk
		dw _wm01_jump 						; 1 jump
		dw _wm02_on_rope					; 2 on rope
		dw _wm03_jumping_tumb				; 3 on tumbe (jumping)
		dw _wm04_fountain 					; 4 on fountain
		dw _wm05_plot						; 5 on plot
		dw _wm06_5tumb						; 6 on 5tumb
		dw _wm07_endofstage_jumping			; 7 jumping end of stage
		dw _wm08_endofstage_stayafterjump 	; 8 end of stage after 7
		dw 0 			; 9
		dw 0 			; a
		dw 0 			; b
		dw 0 			; c
		dw 0 			; d
		dw 0 			; e
		dw _wm0F_dead_in_pool 		; F - dead in pool
		dw _wm10_dead_on_ground 	; 10 - dead lie on ground 
; ---------------------------------------------------------------------------


_wm01_jump:					; DATA XREF: _do_player_move+1E o
		call	L6C3C
		ld	a, (byte_E202)
		or	a
		jp	z, L6767
		ld	a, (_Flag_Scene_) ; 0 1	- FishPool
								; 1 2 -	Rope
								; 2 4 -	JumpTubles
								; 3 8 -	4 Fountain
								; 4 1 -	5 Tumb
								; 5 2 -	Vegetables
								; 6 4 -	Fire
								; 7 8 -	Pool Flag
;esl
;		bit	2, a
		ld 	b,a 	;copy a for use in noRope
		and 	1<<2

;esl
		jp	z, noRope
;
		call	L67B6
		jp	nc, L6764
;
		ld	a, m09_Batut
		call	SelectMUSIC_A

		ld	a, wm_jumping_tumb;3
		ld	(WalkMode), a
;
		ld	hl, L6CF5
		call	L6C1A
;
		ld	(_LeftRightKey_Bits), a
		ret
; ---------------------------------------------------------------------------

noRope:					; CODE XREF: _do_player_move+4D j
;esl
;		bit	4, a
		ld 	a,b
		and 	1<<4
;esl
		jp	z, noJump
;
		ld	b, 5
		ld	hl, L6746

L6717:					; CODE XREF: _do_player_move+85 j
		ld	a, (PlayerYPos)
		ld	c, (hl)
		inc	hl
		sub	c
		cp	5
		jp	nc, L672A
		ld	a, (PlayerXPos)
		ld	c, (hl)
		sub	c
		cp	10h
		jp	c, L672F

L672A:					; CODE XREF: _do_player_move+79 j
		inc	hl
		
		;djnz
		dec b
		jp nz,L6717

		jp	L6764
; ---------------------------------------------------------------------------

L672F:					; CODE XREF: _do_player_move+82 j
		dec	hl
		ld	a, (hl)
		add	a, 4
		ld	(PlayerYPos), a

		ld	a, wm_5tumb; 6
		ld	(WalkMode), a
;
		ld	hl, BoxesCoordsX
		ld	b, 5
		ld	c, 4
		call	CheckBonuses_HL_Table
		ret
; ---------------------------------------------------------------------------
L6746:		db 58h			; DATA XREF: _do_player_move+6E o
L6747:		db  48,	80, 80,	80,112,	80,144,	88,176 ; DATA XREF: RAM:688A o
; ---------------------------------------------------------------------------

noJump:					; CODE XREF: _do_player_move+6A j
		call	Check_Fountain
		jp	c, xx_player_death
;
		ld	a, (WalkMode)
		cp	wm_fountain ;4
		jp	nz, L6764

		ld	a, e
		sub	48h ; 'H'
		ld	c, a
		call	doBonus		; C - item num

L6764:					; CODE XREF: _do_player_move+52 j	_do_player_move+87 j ...
		call	L676A

L6767:					; CODE XREF: _do_player_move+45 j
		jp	PreparePlayerPosition
; End of function _do_player_move


; =============== S U B	R O U T	I N E =======================================


L676A:					; CODE XREF: _do_player_move:L6764 p RAM:L6842 p ...
		ld	hl, PlayerYPos
		ld	a, (hl)
		cp	108
		jp	c, L67A6
		inc	hl
		ld	a, (_Flag_Scene_) ; 0 1	- FishPool
					; 1 2 -	Rope
					; 2 4 -	JumpTubles
					; 3 8 -	4 Fountain
					; 4 1 -	5 Tumb
					; 5 2 -	Vegetables
					; 6 4 -	Fire
					; 7 8 -	Pool Flag
;esl
;		bit	4, a
		ld 	b,a
		and 	1<<4
;esl
		jp	z, L677F
;
		call	L67AA
		jp	c, L67A7

L677F:					; CODE XREF: L676A+E j
;esl
;		bit	2, a
		ld 	a,b
		and 	1<<2
;esl
		jp	z, L6788
;
		call	L67B0
		jp	c, L67A7

L6788:					; CODE XREF: L676A+17 j
		ld	a, (_Sprite_09_BridgeLeft+sprY)
		cp	135
		jp	nz, L679D
		ld	a, (_Sprite_09_BridgeLeft+sprX)
		sub	8
		ld	b, a
		ld	a, (hl)
		sub	b
		cp	32
		ld	a, wm_plot ;5
		jp	c, L679E

L679D:					; CODE XREF: L676A+23 j
		xor	a 	;wm_walk

L679E:					; CODE XREF: L676A+31 j
		ld	(WalkMode), a

		ld	a, 108
		ld	(PlayerYPos), a

L67A6:					; CODE XREF: L676A+6 j
		ret
; ---------------------------------------------------------------------------

L67A7:					; CODE XREF: L676A+13 j	L676A+1C j
		jp	xx_player_death
; End of function L676A


; =============== S U B	R O U T	I N E =======================================


L67AA:					; CODE XREF: L676A+10 p	RAM:690C p
		ld	a, (hl)
		sub	40
		cp	160
		ret
; End of function L67AA


; =============== S U B	R O U T	I N E =======================================


L67B0:					; CODE XREF: L676A+19 p	RAM:6927 p
		ld	a, (hl)
		sub	56
		cp	128
		ret
; End of function L67B0


; =============== S U B	R O U T	I N E =======================================


L67B6:					; CODE XREF: _do_player_move+4F p	RAM:L680B p
		ld	a, (PlayerYPos)
		sub	100
		cp	5
		ret	nc
		ld	hl, PlayerXPos
		ld	bc, 440h

L67C4:					; CODE XREF: L67B6+18 j
		ld	a, (hl)
		sub	c
		cp	10h
		ld	a, c
		jp	c, L67D1
		add	a, 20h ; ' '
		ld	c, a
		
		;djnz
		dec b
		jp nz,L67C4
		ret
; ---------------------------------------------------------------------------

L67D1:					; CODE XREF: L67B6+13 j
		add	a, 8
		ld	(hl), a
		ld	hl, FishPoolCoordsX
		ld	b, 4
		ld	c, 9
		call	CheckBonuses_HL_Table
		scf
		ret
; End of function L67B6

; ---------------------------------------------------------------------------

_wm03_jumping_tumb:					; DATA XREF: _do_player_move+22 o
		call	L6C3C
		ld	a, (KeyCurrent)	; b0: Up b1:Down b2:Left b3:Right b4:A b5:B
		and	1100b
		jp	nz, L67EB
		xor	a

L67EB:					; CODE XREF: RAM:67E8 j
		ld	(unk_E203), a
		or	a
		jp	z, L67F4
		ld	(_PlayerFlag_),	a ; 0 1
					; 1 2
					; 2 4 -	1 KeyLeftLeft
					; 3 8 -	1 KeyRight
					; 4 1
					; 5 2
					; 6 4
					; 7 8

L67F4:					; CODE XREF: RAM:67EF j
		ld	a, (byte_E202)
		or	a
		jp	z, L683A
		ld	a, (PlayerYPos)
		cp	40h ; '@'
		jp	c, L683A
		call	CheckJump	; cf - jumpKey?
		jp	nc, L680B
		
		ld	a, 1
		ld	(unk_E204), a

L680B:					; CODE XREF: RAM:6804 j
		call	L67B6
		ld	a, 6Ch ; 'l'
		ld	(unk_E13A), a
		jp	nc, L6842
		ld	a, 64h ; 'd'
		ld	(PlayerYPos), a

		ld	hl, unk_E204
		ld	a, (hl)
		or	a
		jp	z, L683D

		ld	(hl), 0
;
		ld	a, (unk_E203)
		ld	(_LeftRightKey_Bits), a

		or	a
		ld	hl, L63C9
		jp	z, L6832

L682F:					; CODE XREF: RAM:6840 j
		ld	hl, L6CF5

L6832:					; CODE XREF: RAM:682D j
		call	L6C1A

		ld	a, m09_Batut
		call	SelectMUSIC_A

L683A:					; CODE XREF: RAM:67F8 j	RAM:67FF j ...
		jp	PreparePlayerPosition
; ---------------------------------------------------------------------------

L683D:					; CODE XREF: RAM:681F j
		ld	(_LeftRightKey_Bits), a
		jp	L682F
; ---------------------------------------------------------------------------

L6842:					; CODE XREF: RAM:6813 j
		call	L676A
		jp	L683A
; ---------------------------------------------------------------------------

_wm04_fountain:					; DATA XREF: _do_player_move+24 o
		ld	b, 4
		ld	hl, L686F
		ld	de, Fountain_YY

L684F:					; CODE XREF: RAM:685A j
		ld	a, (PlayerXPos)
		ld	c, (hl)
		sub	c
		cp	19h
		jp	c, L6868
		inc	hl
		inc	de
		
		;djnz
		dec b
		jp nz,L684F


L685C:					; CODE XREF: RAM:6899 j
		ld	hl, L6CF5
		call	L6C1D

		ld	a, wm_jump ;1
		ld	(WalkMode), a
		ret
; ---------------------------------------------------------------------------

L6868:					; CODE XREF: RAM:6856 j
		ld	a, (de)
		ld	(PlayerYPos), a

L686C:					; CODE XREF: RAM:6886 j	RAM:6893 j
		jp	L696B
; ---------------------------------------------------------------------------
L686F:		db  56,	88,128,160	; DATA XREF: RAM:6849 o
; ---------------------------------------------------------------------------

_wm05_plot:					; DATA XREF: _do_player_move+26 o
		ld	c, 0
		call	doBonus		; C - item num
		ld	a, (_Sprite_09_BridgeLeft+sprX)
		sub	8
		ld	b, a
		ld	a, (PlayerXPos)
		sub	b
		cp	20h ; ' '
		jp	nc, L68C4
		jp	L686C
; ---------------------------------------------------------------------------

_wm06_5tumb:					; DATA XREF: _do_player_move+28 o
		ld	b, 5
		ld	hl, L6747

L688D:					; CODE XREF: RAM:6897 j
		ld	a, (PlayerXPos)
		sub	(hl)
		cp	10h
		jp	c, L686C
		inc	hl
		inc	hl
		
		;djnz
		dec b
		jp nz,L688D

		jp	L685C
; ---------------------------------------------------------------------------

_wm00_walk:					; DATA XREF: _do_player_move+1C o
		ld	a, (_Flag_Scene_) ; 0 1	- FishPool
								; 1 2 -	Rope
								; 2 4 -	JumpTubles
								; 3 8 -	4 Fountain
								; 4 1 -	5 Tumb
								; 5 2 -	Vegetables
								; 6 4 -	Fire
								; 7 8 -	Pool Flag
;esl
;		bit	7, a
		ld 	b,a
		and 	1<<7
;esl
		jp	z, L68EE	; Fish Pool
;
		ld	a, (PlayerXPos)
		sub	54
		cp	130
		jp	nc, L692C
		jp	L68C4
; ---------------------------------------------------------------------------

L68AE:					; CODE XREF: RAM:68FB j
		ld	hl, r_Playerspr2
		call	init4PlayerSprite
;
		ld	a, (_PlayerFlag_) ; 0 1
					; 1 2
					; 2 4 -	1 KeyLeftLeft
					; 3 8 -	1 KeyRight
					; 4 1
					; 5 2
					; 6 4
					; 7 8
		cp	4
		ld	hl, PlayerXPos
		jp	nz, L68C2
		dec	(hl)
		dec	(hl)
		jp	L68C4
; ---------------------------------------------------------------------------

L68C2:					; CODE XREF: RAM:68BC j
		inc	(hl)
		inc	(hl)

L68C4:					; CODE XREF: RAM:6884 j	RAM:68AC j ...
		ld	hl, L6CE3
		call	L6C1D

		ld	(_LeftRightKey_Bits), a

		ld	a, wm_dead_in_pool ;0Fh
		ld	(WalkMode), a

		ld	a, m99_killWater
		call	SelectMUSIC_A

		ld	a, SPR_FaceSad1
		call	UpdateLifeSprite


HideActonSprites:			; CODE XREF: _do_player_move+318 p
		ld	hl, _Sprite_11_Fish1
		ld	de, _Sprite_11_Fish1+sprX
		ld	(hl), 195
		ld	bc, 3Ch	; '<'
	
		;ldir
		call	_LDIR_

		ret
; End of function HideActonSprites

; ---------------------------------------------------------------------------
r_Playerspr2:	db	140,0,SPR_RHair,0 ; DATA XREF: RAM:L68AE o
; ---------------------------------------------------------------------------

L68EE:					; CODE XREF: RAM:68A0 j
;esl
;		bit	0, a		; Fish Pool
		ld 	a,b
		and 	1<<0

;esl
		jp	z, L6905
;
		ld	bc, 530h

L68F5:					; CODE XREF: RAM:6901 j
		ld	a, (PlayerXPos)
		sub	c
		cp	10h
		jp	c, L68AE
		ld	a, c
		add	a, 20h ; ' '
		ld	c, a
		
		;djnz
		dec b
		jp nz,L68F5

		jp	L692C
; ---------------------------------------------------------------------------

L6905:					; CODE XREF: RAM:68F0 j
		ld	hl, PlayerXPos
;esl
;		bit	4, a		; 5 tumb
		ld 	a,b
		and 	1<<4
;esl
		jp	z, L6923	; JumpTubes
;
		call	L67AA
		jp	nc, L692C

L6911:					; CODE XREF: RAM:692A j
		ld	a, (_PlayerFlag_) ; 0 1
					; 1 2
					; 2 4 -	1 KeyLeftLeft
					; 3 8 -	1 KeyRight
					; 4 1
					; 5 2
					; 6 4
					; 7 8
;esl
;		bit	3, a
		and 	1<<3
;esl
		jp	nz, L691B
		inc	(hl)
		jp	L691C
; ---------------------------------------------------------------------------

L691B:					; CODE XREF: RAM:6916 j
		dec	(hl)

L691C:					; CODE XREF: RAM:6919 j
		ld	a, m0b_tu
		call	SelectMUSIC_A
		jp	L692C
; ---------------------------------------------------------------------------

L6923:					; CODE XREF: RAM:690A j
;esl
;		bit	2, a		; JumpTubes
		ld 	a,b
		and 	1<<2
;esl
		jp	z, L692C
;
		call	L67B0
		jp	c, L6911

L692C:					; CODE XREF: RAM:68A9 j	RAM:6903 j ...
		ld	hl, scrScene
		ld	a, (hl)
		and	0Fh
		jp	nz, L6960
		ld	a, (Scene)
		or	a
		jp	z, L6960
		ld	a, (hl)
		inc	hl
		cp	(hl)
		jp	nz, L6960
		ld	hl, PlayerXPos
		ld	a, (unk_E053)
		rra
		ld	a, 200
		jp	nc, L6951
		ld	a, 28h ; '('
		cp	(hl)
		jp	nc, L6954
		jp	L6960
; ---------------------------------------------------------------------------

L6951:					; CODE XREF: RAM:6948 j
		cp	(hl)
		jp	nc, L6960

L6954:					; CODE XREF: RAM:694D j
		ld	a, 6
		ld	(_PlayerCounter_), a ; 0 1
					; 1 2
					; 2 4
					; 3 8
					; 4 1
					; 5 2 -	One/Two	player
					; 6 4
					; 7 8
		ld	a, mLevelStartStageEnd
		call	SelectMUSIC_A
		jp	L69A2
; ---------------------------------------------------------------------------

L6960:					; CODE XREF: RAM:6932 j	RAM:6938 j ...
		ld	a, (PlayerYPos)
		ld	hl, unk_E13A
		sub	11h
		cp	(hl)
		jp	nc, xx_player_death

L696B:					; CODE XREF: RAM:L686C j
		call	L6D72

		call	CheckJump	; cf - jumpKey?
		jp	nc, PreparePlayerPosition

		ld	hl, L6CF5
		call	L6C1A

		ld	a, wm_jump ;1
		ld	(WalkMode), a

		ld	a, mJump
		call	SelectMUSIC_A

		jp	PreparePlayerPosition
; ---------------------------------------------------------------------------

_wm07_endofstage_jumping:					; DATA XREF: _do_player_move+2A o
		call	L6C3C
		call	L676A
		cp		6Ch ; 'l'
		jp		nz, L69B0
;
		ld		hl, _PlayerCounter_ ; 0	1
									; 1 2
									; 2 4
									; 3 8
									; 4 1
									; 5 2 -	One/Two	player
									; 6 4
									; 7 8
		dec	(hl)
		ld	a, (hl)
		dec	a
		ld	a, wm_endofstage_stayafterjump ;8
		jp	z, L69AD

		ld	hl, _PlayerFlag_ ; 0 1
							; 1 2
							; 2 4 -	1 KeyLeftLeft
							; 3 8 -	1 KeyRight
							; 4 1
							; 5 2
							; 6 4
							; 7 8
		ld	a, (hl)
		xor	0Ch
		ld	(hl), a

L69A2:					; CODE XREF: RAM:695E j
		ld	hl, L6CF5
		call	L6C1A

		ld	(_LeftRightKey_Bits), a

		ld	a, wm_endofstage_jumping ;7

L69AD:					; CODE XREF: RAM:6999 j
		ld	(WalkMode), a

L69B0:					; CODE XREF: RAM:698F j
		jp	UpdatePlayerSprites
; ---------------------------------------------------------------------------

_wm08_endofstage_stayafterjump:					; DATA XREF: _do_player_move+2C o
		ld	a, 1
		ld	(_wm_ready_next_level_flag), a
		ret
; ---------------------------------------------------------------------------

;пересечение спрайта игрока и подвижного противника

xx_player_death:					; CODE XREF: _do_player_move+AD j	L676A:L67A7 j ...
		ld	a, SPR_FaceSad1
		call	UpdateLifeSprite
		call	HideActonSprites
;
		ld	a, m96_Dead?
		call	SelectMUSIC_A
;;
		ld	a, 16
		ld	(PlayerAnimationStep), a
;
		call	DeadSprites
;
		ld	a, wm_dead_on_ground ;10h
		ld	(WalkMode), a
;
		xor	a
		ld	(inGameTick), a
		ret
; END OF FUNCTION CHUNK	FOR _do_player_move
; ---------------------------------------------------------------------------

_wm10_dead_on_ground:					; DATA XREF: _do_player_move+3C o
		ld	hl, PlayerYPos
		ld	a, (hl)
		cp	108
		jp	nc, L69E2
		inc	(hl)
		inc	(hl)

L69E2:					; CODE XREF: RAM:69DE j
		ld	a, (inGameTick)
		and	0Fh
		jp	nz, L69F1
		inc	hl
		inc	hl
		ld	a, (hl)
		xor	1
		and	11h
		ld	(hl), a

L69F1:					; CODE XREF: RAM:69E7 j
		call	DeadSprites
		ld	a, (PlayerYPos)
		cp	108
		ret	c
		ld	a, (inGameTick)
		and	7Fh ; ''
		ret	nz
		inc	a
		ld	(byte_E00C), a
		ret
; ---------------------------------------------------------------------------

_wm0F_dead_in_pool:					; DATA XREF: _do_player_move+3A o
		ld	a, (inGameTick)
		and	7
		ret	nz
		ld	a, 195
		ld	(_Sprite_08_Shadow+sprY), a
		call	L6C3C
		ld	a, 6
		ld	(PlayerAnimationStep), a
		ld	a, (PlayerYPos)
		cp	7Ch ; '|'
		jp	c, UpdatePlayerSprites
		ld	(byte_E00C), a
		ret
; ---------------------------------------------------------------------------

PreparePlayerPosition:			; CODE XREF: _do_player_move:L6767 j RAM:L683A j ...
		call	UpdatePlayerSprites

		ld	a, (PlayerXPos)
		ld	bc, 1E8h	; 1,232
		cp	3
		jp	c, L6A38

		cp	0F0h ; 'ð'
		jp	c, _Check_Sprites
		ld	bc, 208h	; 2,08

L6A38:					; CODE XREF: _do_player_move+389 j
		ld	a, b
		ld	(PlayerLevelEnterSide),	a ; 1 -	Left, 2	- Right
		ld	a, c
		ld	(Xpos_Player_StartPos),	a
		ret
; ---------------------------------------------------------------------------

_Check_Sprites:					; CODE XREF: _do_player_move+38D j
		ld	bc, 40Bh 	;head vs Fish1
		call	_chk_sprite_collision
		jp	nc, xx_player_death
		inc	bc 			;vs Fish2
		call	_chk_sprite_collision
		jp	nc, xx_player_death
		inc	bc 			;vs Fish3
		call	_chk_sprite_collision
		jp	nc, xx_player_death
		inc	bc 			;vs Ball
		call	_chk_sprite_collision
		jp	nc, xx_player_death
		inc	bc 			;vs Ball2
		call	_chk_sprite_collision
		jp	nc, xx_player_death
		inc	bc 			;vs Falling1
		call	_chk_sprite_collision
		jp	nc, xx_player_death
		inc	bc 			;vs Falling2
		call	_chk_sprite_collision
		jp	nc, xx_player_death
		inc	bc 			;vs Falling3
		call	_chk_sprite_collision
		jp	nc, xx_player_death
		inc	bc 			;vs Apple
		call	_chk_sprite_collision
		jp	c, _noAppleEaten

		push	bc
;
		ld	c, 18
		call	doBonus		; C - item num
;
		ld	a, 200 						;скушали яблоко, спрятать его
		ld	(_Sprite_19_Apple+sprY), a
;
		ld	a, m0A_Bonus
		call	SelectMUSIC_A
		pop	bc

_noAppleEaten:					; CODE XREF: _do_player_move+3D9 j
		inc	bc 			;vs Bee
		call	_chk_sprite_collision
		jp	nc, xx_player_death
		inc	bc  		;skip bee black stripes sprite

		inc	bc 			;vs Stone
		call	_chk_sprite_collision
		jp	nc, xx_player_death


		ld	bc, 60Bh 	;Body vs Fish1
		call	_chk_sprite_collision
		jp	nc, xx_player_death
		inc	bc 			;vs Fish2
		call	_chk_sprite_collision
		jp	nc, xx_player_death
		inc	bc 			;vs Fish3
		call	_chk_sprite_collision
		jp	nc, xx_player_death
		inc	bc 			;vs Ball
		call	_chk_sprite_collision
		jp	nc, xx_player_death
		inc	bc 			;vs Ball2
		call	_chk_sprite_collision
		jp	nc, xx_player_death
		inc	bc 			;vs Falling1
		call	_chk_sprite_collision
		jp	nc, xx_player_death
		inc	bc 			;vs Falling2
		call	_chk_sprite_collision
		jp	nc, xx_player_death
		inc	bc 			;vs Falling3
		call	_chk_sprite_collision
		jp	nc, xx_player_death
		inc	bc 			;skip apple
		inc	bc 			;bee
		call	_chk_sprite_collision
		jp	nc, xx_player_death
		inc	bc 			;skip bee stripes
		inc	bc 			;vs Stone
		call	_chk_sprite_collision
		jp	nc, xx_player_death

		ld	bc, 61Fh 	;body vs FireVegetable
		call	_chk_sprite_collision
		jp	nc, xx_player_death
;
		ld	a, (Saved_Enimy)
		or	a
		ret	z
;
		ld	a, (_Sprite_20_Bee+sprY)
		cp	74h ; 't'
		ld	hl, unk_E1AC
		ld	b, 3
		jp	z, L6B07
		ld	b, 2

L6B07:					; CODE XREF: _do_player_move+45D j
		ld	c, 10h
		jp	CheckBonuses_HL_Table
; END OF FUNCTION CHUNK	FOR _do_player_move


;check_sprite_collision:					; CODE XREF: _do_player_move+39E p _do_player_move+3A5 p ...

;на входе в BС два номера спрайта, 
;cf=0 если они пересекаются

_chk_sprite_collision:
		ld	a, b
		rlca
		rlca
		ld	hl, _Sprite_00
		call	add_a_hl
		ex	de, hl
		ld	a, c
		rlca
		rlca
		ld	hl, _Sprite_00
		call	add_a_hl
		ld	a, (de)
		add	a, 8
		sub	(hl)
		jp	c, L65AB
		cp	10h
		jp	nc, L65AB
		inc	de
		inc	hl
		ld	a, (de)
		add	a, 8
		sub	(hl)
		jp	c, L65AB
		cp	11h
		jp	nc, L65AB
		or	a
		ret
; ---------------------------------------------------------------------------

L65AB:					; CODE XREF: check_sprite_collision+17 j	check_sprite_collision+1B j ...
		scf
		ret
; End of function check_sprite_collision


; =============== S U B	R O U T	I N E =======================================

; cf - jumpKey?

CheckJump:				; CODE XREF: RAM:6801 p	RAM:696E p ...
		ld	hl, KeyPrev	; b0: Up b1:Down b2:Left b3:Right b4:A b5:B
		ld	a, (hl)
		cpl
		and	30h ; '0'       ; Buttons
		inc	hl
		and	(hl)
		ret	z
;
		ld	a, (PlayerYPos)
		ld	b, a

		ld	a, (WalkMode)
		cp	wm_fountain ;4
		jp	nz, L6DCA

		ld	a, (PlayerXPos)
		cp	160
		jp	nc, L6DCA
		cp	72
		jp	nc, L6DCE

L6DCA:					; CODE XREF: CheckJump+13 j
					; CheckJump+1A j
		ld	a, 10h
		add	a, b
		ld	b, a

L6DCE:					; CODE XREF: CheckJump+1E j
		ld	a, b
		ld	(unk_E13A), a
		scf
		ret
; End of function CheckJump

;----------------------------------------------------------------

L6D72:					; CODE XREF: RAM:L696B p
		xor	a
		ld	(unk_E144), a
		ld	(unk_E13C), a

		ld	a, (KeyCurrent)	; b0: Up b1:Down b2:Left b3:Right b4:A b5:B
		and	0Ch
		ld	(_LeftRightKey_Bits), a

		ld	hl, PlayerXPos
		ld	de, stepInsideScene	; 
		jp	nz, playerMove		; LeftRightKey

		ld	a, 6
		jp	L6DA7
; ---------------------------------------------------------------------------

;LeftRightKey:				; CODE XREF: L6D72+15 j
playerMove:
		ex	de, hl
		inc	(hl)				; stepInsideScene
		ex	de, hl 				;Увеличить "шаг" внутри кадра, не зависит от X
								;для запуска например "шара" после нескольких
								;шагов

		ld	(_PlayerFlag_),	a 	; 0 1
								; 1 2
								; 2 4 -	1 KeyLeftLeft
								; 3 8 -	1 KeyRight
								; 4 1
								; 5 2
								; 6 4
								; 7 8

;esl
;		bit	3, a 		;Right?
		and 1<<3
;esl
		jp	z, L6D9A

		inc	(hl)		;PlayerXPos
		jp	L6D9B
; ---------------------------------------------------------------------------

L6D9A:
		dec	(hl)		;PlayerXPos

L6D9B:

		push	hl
		ld		a, mPlayerStep
		call	SelectMUSIC_A
		pop		hl

		ld		a, (de)
		and		0Ch
		rrca
		rrca

L6DA7:					; CODE XREF: L6D72+19 j
		inc	hl
		ld	(hl), a
		ret
; End of function L6D72
