        macro mdebug_lut _color_

        ld      a,(debug_lut_flag)
        or      a
        jp      z,.noDbg
        ld      a, _color_ and 11111000b or 0
        ld      (regbase1C+LUT),a        
.noDbg:
        endm

        macro mdebug_lut_6c _color_

        ld      a,(debug_lut_flag)
        or      a
        jp      z,.noDbg
        ld      a, _color_ and 11111000b or 0
        ld      (regbase6C+LUT),a        
.noDbg:
        endm

        macro   mdebug_check_key
	ld 	hl,0f810h
	ld 	a,(hl)
	and	1
	jp	z,.no_dbg_0
.dbg0:
	ld 	a,(hl)
	and	1
	jp	nz,.dbg0

	ld	a,(debug_lut_flag)
	xor	0FFh
	ld	(debug_lut_flag),a

	ld      a, 0
        ld      (regbase1C+LUT),a   

.no_dbg_0:

	ld 	hl,0f820h
	ld 	a,(hl)
	and	2
	jp	z,.no_dbg_1
.dbg1:
	ld 	a,(hl)
	and	2
	jp	nz,.dbg1

	ld	a,(debug_from_line_0)
	xor	0FFh
	ld	(debug_from_line_0),a

.no_dbg_1:
        endm

        macro	mdebug_vbl
        ld 	a,(debug_lut_flag)
        or      a
        jp	z,.no_wait_vbl
        ld 	a,(debug_from_line_0)
        or      a
        jp	z,.no_wait_vbl

;wait VBL for cases when code eat more tacts than screen
.waitVBL:
        ld      a,(0fb38h)
        and     2
        jp      z,.waitVBL    ;if z start from first screen line, no vbl
.no_wait_vbl
	endm

