$name="mapper.mem";
open F,"<",$name or die "can't read mapper.mem\n";
binmode F;

#define M_RAM            0
#define M_ROM0           1      //  ROM0 0000-1fff
#define M_ROM1           2      //  ROM1 2000-3fff
#define M_ROM2           3      //  ROM2 4000-5fff
#define M_KEYBOARD       4
#define M_PORTBASE       5      //   
#define M_REGBASE        6      //  
#define M_ACZU           7
#define M_GZU            8


$map="";
for ($m=0;$m<32;$m++) {
	printf("%02x:",$m<<2);
	$map.="sysreg:".sprintf("%02x:",$m<<2)."\n";
	$prev="";

	for ($b=0;$b<256;$b++) {
		$c=ord(getc(F));
		#print $! if (sysread(F,$c,1) != 1);
		#print ord($c);
		#printf("%02x ",ord($c));

		$z="<!$c!>";
		$z="RAM ." if ($c == 0);
		$z="ROM00" if ($c == 1);
		$z="ROM11" if ($c == 2);
		$z="ROM22" if ($c == 3);
		$z="KBD K" if ($c == 4);
		$z="PORTP" if ($c == 5);
		$z="REG R" if ($c == 6);
		$z="ACZUA" if ($c == 7);
		$z="GZU G" if ($c == 8);

		$zlong=substr $z,0,4;
		$z=substr $z,-1,1;

		print $z;
		


#		print "[$prev == $z] ";
		if ($prev ne $zlong) {
			$map.="type: $prev\tstart:$start\tend:$end\n" if ($prev ne "");
			$start=sprintf("%04x",$b<<8);
			$prev=$zlong;
#			print ">s:$start prev>$prev< z>$z<\n";
		}# else {
			$end=sprintf("%04x",($b<<8)+0xff);
#			print ">e:$end prev>$prev< z>$z<\n";
#		}

	}
	$map.="type: $prev\tstart:$start\tend:$end\n" if ($prev ne "");
	print "\n";
	$map.="__________________________________________________\n";
}
close F;
print $map;
