require 'ap'


def optimizer(str)
  #puts "-----"
  #p [str]

  a_00=["00", "00", "00", "00", "00", "00", "00", "00"]
  a_ff=["ff", "ff", "ff", "ff", "ff", "ff", "ff", "ff"]
  str+=","
  str.sub!(/\s*db\s+/,"")
  vals=str.split(",").map{|v| v.sub(/\s*/,"").sub("h","").to_i(16)}.map{|v| "%02x" % v}
  b1=vals[0..7]
  b2=vals[8..15]

  #p [b1,b2]

  result="\tdb\t"

  if b1 == a_00 and (b1 == b2)
    #p [:b1,0]
    result += "0\n"
  elsif b1 == a_ff and (b1 == b2)
    #p [:b1_color,"FF"]
    result += "l_01, "+a_ff.map{|v| "0%sh" % v}.join(",")
  else
    unless b1 == a_00
      #p [:b1,b1]
      result += "l_1, "+b1.map{|v| "0%sh" % v}.join(",")
    end
    if b2 != a_00
      #p [:b2,b2]
      result += ", " unless  b1 == a_00
      result += "l_0, "+b2.map{|v| "0%sh" % v}.join(",")

      result += " ,0" if b1 == a_00
    else
      #p [:b2_z,0]
      result += " ,0"
    end
  end
  result+"\n"
end

#a=Dir["../../src_korvet/k_vdp_pnt_game.asm"]
a=[
  "../../src_korvet/k_vdp_pnt_game.asm",
  #{}"../../src_korvet/k_vdp_pnt_title.asm",
]

h_code={}

h_used_id=Hash.new { 0 }

a.each do |fname|
   p [:name,fname]
   fname=~ /xx_(.*?)\.asm/
   nn=$1
   File.open(fname) do |fin|
      fin.each_line do |l|
        l.chomp!
        next unless l =~ /^(...\d..):\s*(db\t.*)$/
      	cc=$1
      	body=$2
        h_used_id[cc]=body
      	h_code[body]=Hash.new() unless h_code.has_key?(body)
              h_code[body][cc]=[] unless h_code[body].has_key?(cc)
      	h_code[body][cc] << nn
      end 
   end
end

interest=h_code.map{|v| v}.select{|v| v[1].size > 1}#.sort{|a,b| b[1].size <=> a[1].size}#.size > 1}
interest = interest.map{|v| [v[0],v[1].keys]}
multi_chr=Hash[interest]

#ap h_used_id

h_used_id.each do |id,body|
 next if multi_chr.has_key?(body)
 b2=optimizer(body)
 puts "#{id}:\t#{b2}"
end

multi_chr.each do |body,ids|
 #p body
 b2=optimizer(body)
 puts ids.map{|v| v+":\n"}
 puts "\t#{b2}"
end
__END__


s1="  db   00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h,   00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h"
s2="  db   00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h,  0ffh,0ffh,0ffh,0ffh,0ffh,0ffh,0ffh,0ffh"
s3="  db  0ffh,0ffh,0ffh,0ffh,0ffh,0ffh,0ffh,0ffh,   00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h"
s4="  db  0ffh,0ffh,0ffh,0ffh,0ffh,0ffh,0ffh,0ffh,  0ffh,0ffh,0ffh,0ffh,0ffh,0ffh,0ffh,0ffh"
s5="  db  0ffh,0ffh,0feh, 00h, 01h,0ffh,0ffh,0ffh,   00h, 00h, 01h,0ffh,0ffh,0ffh,0ffh,0ffh"

s6="  db   55h, 0aah, 55h, 0aah, 55h, 0aah, 55h, 0aah,   0aah, 55h, 0aah, 55h, 0aah, 55h, 0aah, 55h"
#[s1,s2,s3,s4,s5].each{|v| p optimizer(v)}
#p optimizer(s6)